/* Reset some default styles */
body, h1, h2, p, button, input, textarea {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
}

/* Basic body styling */
body {
    line-height: 1.6;
    background-color: #f4f4f4;
    color: #333;
    padding: 20px;
}

/* Container styling */
.container {
    max-width: 800px;
    margin: 0 auto;
    background: #fff;
    padding: 20px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
}

/* Heading styles */
h1 {
    font-size: 2.5em;
    margin-bottom: 20px;
    color: #222;
    border-bottom: 2px solid #ddd;
    padding-bottom: 10px;
}

h2 {
    font-size: 1.5em;
    color: #007bff;
    margin-top: 20px;
    margin-bottom: 10px;
    border-left: 4px solid #007bff;
    padding-left: 10px;
}

/* Paragraph styles */
p {
    font-size: 1.1em;
    margin-bottom: 20px;
    line-height: 1.8;
    color: #555;
}

/* Button styling */
button {
    background-color: #007bff; /* Primary color */
    color: white; /* Text color */
    padding: 10px 20px; /* Padding for the button */
    font-size: 16px; /* Font size */
    border: none; /* Remove default border */
    border-radius: 5px; /* Rounded corners */
    cursor: pointer; /* Pointer cursor on hover */
    transition: background-color 0.3s ease, transform 0.2s ease; /* Smooth transition for background color and transform */
    margin-bottom: 20px;
    margin-right: 10px;
}

/* Button hover effect */
button:hover {
    background-color: #0056b3; /* Darker shade of the primary color on hover */
}

/* Button active effect */
button:active {
    background-color: #004085; /* Even darker shade when button is active */
    transform: scale(0.98); /* Slightly reduce size on click */
}

/* Focus outline for accessibility */
button:focus {
    outline: 3px solid #80bdff; /* Outline color */
    outline-offset: 2px; /* Space between the button and outline */
}

/* Additional styling for the posts container */
.posts {
    margin-top: 20px;
}

/* Form group styling */
.form-group {
    margin-bottom: 15px;
}

label {
    display: block;
    font-size: 1.1em;
    margin-bottom: 5px;
}

input[type="text"],
textarea {
    width: 100%;
    padding: 10px;
    font-size: 1em;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-sizing: border-box;
}

textarea {
    resize: vertical;
}

/* Media query for responsiveness */
@media (max-width: 600px) {
    body {
        padding: 10px;
    }

    .container {
        padding: 15px;
    }

    h1 {
        font-size: 2em;
    }

    h2 {
        font-size: 1.2em;
    }

    p {
        font-size: 1em;
    }

    button {
        font-size: 14px;
        padding: 8px 16px;
    }

    input[type="text"],
    textarea {
        font-size: 0.9em;
    }
}
